VirtualBox

Ticket #18924 (closed defect: fixed)

Opened 13 months ago

Last modified 12 months ago

VirtualBox 6.0.12 install fails on RHEL 8

Reported by: LeeTS Owned by: fbatschu
Component: installer Version: VirtualBox 6.0.12
Keywords: Redhat RHEL 8 Install Cc:
Guest type: all Host type: Linux

Description

I am trying to install VirtualBox 6.0.12 on RHEL 8.0

I used the file

 https://download.virtualbox.org/virtualbox/rpm/el/virtualbox.repo

and ran the command

dnf -y install VirtualBox-6.0

this throws the error below.


Error: Transaction check error:

file /lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /sbin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /usr/bin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /usr/lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64

Error Summary


kindly look into it.

thanks.

Change History

comment:1 Changed 13 months ago by fbatschu

out of curiosity, do the same errors happen when you install the RPM package itself from:

 https://download.virtualbox.org/virtualbox/6.0.12/VirtualBox-6.0-6.0.12_133076_el8-1.x86_64.rpm

Last edited 13 months ago by fbatschu (previous) (diff)

comment:2 Changed 13 months ago by LeeTS

Still unable to install.

dnf install Downloads/VirtualBox/VirtualBox-6.0-6.0.12_133076_el8-1.x86_64.rpm


Running transaction check Transaction check succeeded. Running transaction test The downloaded packages were saved in cache until the next successful transaction. You can remove cached packages by executing 'dnf clean packages'. Error: Transaction check error:

file /lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /sbin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /usr/bin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64 file /usr/lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64

Error Summary


Last edited 13 months ago by LeeTS (previous) (diff)

comment:3 Changed 13 months ago by fbatschu

  • Owner set to fbatschu
  • Status changed from new to accepted

comment:4 Changed 13 months ago by fbatschu

Yes, these are broken RPM packages on RH8 and on OL8 as well

[fbatschu@lserver ~]$ cat /etc/os-release 
NAME="Oracle Linux Server"
VERSION="8.0"
ID="ol"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="8.0"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Oracle Linux Server 8.0"

$ sudo dnf install VirtualBox-6.0-6.0.12_133076_el8-1.x86_64.rpm
Failed to set locale, defaulting to C
Last metadata expiration check: 0:10:10 ago on Tue Sep 17 09:36:24 2019.
Dependencies resolved.
========================================================================================================================
 Package                      Arch                 Version                             Repository                  Size
========================================================================================================================
Installing:
 VirtualBox-6.0               x86_64               6.0.12_133076_el8-1                 @commandline               221 M

Transaction Summary
========================================================================================================================
Install  1 Package

Total size: 221 M
Installed size: 756 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64
  file /sbin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64
  file /usr/bin from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64
  file /usr/lib from install of VirtualBox-6.0-6.0.12_133076_el8-1.x86_64 conflicts with file from package filesystem-3.8-2.el8.x86_64

Error Summary
-------------

I'll see that we get fixed ones out and will update asap.

comment:5 Changed 12 months ago by fbatschu

We updated the corresponding RPM package with a fixed version:

 https://download.virtualbox.org/virtualbox/6.0.12

VirtualBox-6.0-6.0.12_133076_el8-2.x86_64.rpm 18-Sep-2019 20:04 104M

comment:6 Changed 12 months ago by fbatschu

  • Status changed from accepted to closed
  • Resolution set to fixed

comment:7 Changed 12 months ago by klaus

BTW, the rpm repo is also updated accordingly. We completely pulled the -1 version of the package since it was unusable.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use